net.sf.okapi.common

## Class XmlInputStreamReader

- java.lang.Object
- - java.io.Reader
  - - java.io.InputStreamReader
    - - net.sf.okapi.common.XmlInputStreamReader

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.lang.Readable

      public class XmlInputStreamReader
      extends java.io.InputStreamReader

- - ### Field Summary

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlInputStreamReader(java.io.InputStream in)`
    `XmlInputStreamReader(java.io.InputStream in, java.nio.charset.Charset cs)`
    `XmlInputStreamReader(java.io.InputStream in, java.nio.charset.CharsetDecoder dec)`
    `XmlInputStreamReader(java.io.InputStream in, java.lang.String charsetName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `read()`
    `int` | `read(char[] cbuf, int offset, int length)`
    `static net.sf.okapi.common.XmlInputStreamReader.Entity` | `resolveEntity(char[] buf, int ptr, int size)`

    - ### Methods inherited from class java.io.InputStreamReader

      `close, getEncoding, ready`

    - ### Methods inherited from class java.io.Reader

      `mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlInputStreamReader

          public XmlInputStreamReader(java.io.InputStream in)

    - #### XmlInputStreamReader

          public XmlInputStreamReader(java.io.InputStream in,
                                      java.lang.String charsetName)
                               throws java.io.UnsupportedEncodingException

      Throws:
        `java.io.UnsupportedEncodingException`

    - #### XmlInputStreamReader

          public XmlInputStreamReader(java.io.InputStream in,
                                      java.nio.charset.Charset cs)

    - #### XmlInputStreamReader

          public XmlInputStreamReader(java.io.InputStream in,
                                      java.nio.charset.CharsetDecoder dec)

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.InputStreamReader`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(char[] cbuf,
                          int offset,
                          int length)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.InputStreamReader`
      Throws:
        `java.io.IOException`

    - #### resolveEntity

          public static net.sf.okapi.common.XmlInputStreamReader.Entity resolveEntity(char[] buf,
                                                                                      int ptr,
                                                                                      int size)